Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.dimensionlookup
Class DimensionLookupMeta

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepMeta
          org.pentaho.di.trans.steps.dimensionlookup.DimensionLookupMeta

All Implemented Interfaces:
  Cloneable, StepMetaInterface

    public class DimensionLookupMeta

extends BaseStepMeta
implements StepMetaInterface

Since:
  on 14-may-2003 WANTED: Interconnected Dynamic Lookups --> http://www.datawarehouse.com/article/?articleId=5354 The idea is here to create a central 'dimension' cache process, seperated from the other Kettle processes. Kettle then connects over a socket to this daemon-like process to check wether a certain dimension entry is present. Perhaps a more general caching service should be considered.
Author:
  Matt

Field Summary
`static String` | `CREATION_METHOD_AUTOINC`
`static String` | `CREATION_METHOD_SEQUENCE`
`static String` | `CREATION_METHOD_TABLEMAX`
`static int` | `START_DATE_ALTERNATIVE_COLUMN_VALUE`
`static int` | `START_DATE_ALTERNATIVE_NONE`
`static int` | `START_DATE_ALTERNATIVE_NULL`
`static int` | `START_DATE_ALTERNATIVE_START_OF_TRANS`
`static int` | `START_DATE_ALTERNATIVE_SYSDATE`
`static int` | `TYPE_UPDATE_DATE_INSERTED`
`static int` | `TYPE_UPDATE_DATE_INSUP`
`static int` | `TYPE_UPDATE_DATE_UPDATED`
`static int` | `TYPE_UPDATE_DIM_INSERT`
`static int` | `TYPE_UPDATE_DIM_PUNCHTHROUGH`
`static int` | `TYPE_UPDATE_DIM_UPDATE`
`static int` | `TYPE_UPDATE_LAST_VERSION`
`static String[]` | `typeDesc`
`static String[]` | `typeDescLookup`

Constructor Summary
`DimensionLookupMeta()`

Method Summary
`void` | `allocate(int nrkeys, int nrfields)`
`void` | `analyseImpact(List<DatabaseImpact> impact, TransMeta transMeta, StepMeta stepMeta, org.pentaho.di.core.row.RowMetaInterface prev, String[] input, String[] output, org.pentaho.di.core.row.RowMetaInterface info)` Each step must be able to report on the impact it has on a database, table field, etc.
`void` | `check(List<org.pentaho.di.core.CheckResultInterface> remarks, TransMeta transMeta, StepMeta stepinfo, org.pentaho.di.core.row.RowMetaInterface prev, String[] input, String[] output, org.pentaho.di.core.row.RowMetaInterface info)` Checks the settings of this step and puts the findings in a remarks List.
`Object` | `clone()` Make an exact copy of this step, make sure to explicitly copy Collections etc.
`int` | `getCacheSize()`
`int` | `getCommitSize()`
`org.pentaho.di.core.database.DatabaseMeta` | `getDatabaseMeta()`
`String` | `getDateField()`
`String` | `getDateFrom()`
`String` | `getDateTo()`
`String[]` | `getFieldLookup()`
`void` | `getFields(org.pentaho.di.core.row.RowMetaInterface row, String name, org.pentaho.di.core.row.RowMetaInterface[] info, StepMeta nextStep, org.pentaho.di.core.variables.VariableSpace space)` Get the fields that are emitted by this step
`String[]` | `getFieldStream()`
`int[]` | `getFieldUpdate()`
`String` | `getKeyField()`
`String[]` | `getKeyLookup()`
`String` | `getKeyRename()`
`String[]` | `getKeyStream()`
`Date` | `getMaxDate()`
`int` | `getMaxYear()`
`Date` | `getMinDate()`
`int` | `getMinYear()`
`String` | `getSchemaName()`
`String` | `getSequenceName()`
`org.pentaho.di.core.SQLStatement` | `getSQLStatements(TransMeta transMeta, StepMeta stepMeta, org.pentaho.di.core.row.RowMetaInterface prev)` Standard method to return one or more SQLStatement objects that the step needs in order to work correctly.
`int` | `getStartDateAlternative()`
`static int` | `getStartDateAlternative(String string)`
`static String` | `getStartDateAlternativeCode(int alternative)`
`static String[]` | `getStartDateAlternativeCodes()`
`static String` | `getStartDateAlternativeDesc(int alternative)`
`static String[]` | `getStartDateAlternativeDescriptions()`
`String` | `getStartDateFieldName()`
`StepInterface` | `getStep(StepMeta stepMeta, StepDataInterface stepDataInterface, int cnr, TransMeta tr, Trans trans)` Get the executing step, needed by Trans to launch a step.
`StepDataInterface` | `getStepData()` Get a new instance of the appropriate data class.
`org.pentaho.di.core.row.RowMetaInterface` | `getTableFields()`
`String` | `getTableName()`
`String` | `getTechKeyCreation()` Get the way how the technical key field should be created.
`static String` | `getUpdateType(boolean upd, int t)`
`static int` | `getUpdateType(boolean upd, String ty)`
`org.pentaho.di.core.database.DatabaseMeta[]` | `getUsedDatabaseConnections()` This method returns all the database connections that are used by the step.
`String` | `getVersionField()`
`String` | `getXML()` Produces the XML string that describes this step's information.
`boolean` | `isAutoIncrement()`
`boolean` | `isPreloadingCache()`
`boolean` | `isUpdate()`
`static boolean` | `isUpdateTypeWithoutArgument(boolean update, int type)`
`boolean` | `isUsingStartDateAlternative()`
`void` | `loadXML(Node stepnode, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Load the values for this step from an XML Node
`void` | `readRep(Repository rep, long id_step, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Read the steps information from a Kettle repository
`void` | `saveRep(Repository rep, long id_transformation, long id_step)` Save the steps data into a Kettle repository
`void` | `setAutoIncrement(boolean autoIncrement)`
`void` | `setCacheSize(int cacheSize)`
`void` | `setCommitSize(int commitSize)`
`void` | `setDatabaseMeta(org.pentaho.di.core.database.DatabaseMeta database)`
`void` | `setDateField(String dateField)`
`void` | `setDateFrom(String dateFrom)`
`void` | `setDateTo(String dateTo)`
`void` | `setDefault()` Set default values
`void` | `setFieldLookup(String[] fieldLookup)`
`void` | `setFieldStream(String[] fieldStream)`
`void` | `setFieldUpdate(int[] fieldUpdate)`
`void` | `setKeyField(String keyField)`
`void` | `setKeyLookup(String[] keyLookup)`
`void` | `setKeyRename(String keyRename)`
`void` | `setKeyStream(String[] keyStream)`
`void` | `setMaxYear(int maxYear)`
`void` | `setMinYear(int minYear)`
`void` | `setPreloadingCache(boolean preloadingCache)`
`void` | `setSchemaName(String schemaName)`
`void` | `setSequenceName(String sequenceName)`
`void` | `setStartDateAlternative(int startDateAlternative)`
`void` | `setStartDateFieldName(String startDateFieldName)`
`void` | `setTableName(String tablename)`
`void` | `setTechKeyCreation(String techKeyCreation)` Set the way how the technical key field should be created.
`void` | `setUpdate(boolean update)`
`void` | `setUsingStartDateAlternative(boolean usingStartDateAlternative)`
`void` | `setVersionField(String versionField)`

Methods inherited from class org.pentaho.di.trans.step.BaseStepMeta
`cancelQueries, chosesTargetSteps, excludeFromRowLayoutVerification, exportResources, getDialogClassName, getID, getInfoSteps, getRequiredFields, getRequiredFields, getResourceDependencies, getTargetSteps, getUsedArguments, getUsedLibraries, hasChanged, searchInfoAndTargetSteps, setChanged, setChanged, setID, setInfoSteps, setTargetSteps, supportsErrorHandling`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepMetaInterface
`cancelQueries, excludeFromRowLayoutVerification, exportResources, getDialogClassName, getInfoSteps, getRequiredFields, getRequiredFields, getResourceDependencies, getTargetSteps, getUsedArguments, getUsedLibraries, searchInfoAndTargetSteps, setInfoSteps, setTargetSteps, supportsErrorHandling`

Field Detail

### TYPE_UPDATE_DIM_INSERT

    public static final int TYPE_UPDATE_DIM_INSERT

See Also:
  Constant Field Values

### TYPE_UPDATE_DIM_UPDATE

    public static final int TYPE_UPDATE_DIM_UPDATE

See Also:
  Constant Field Values

### TYPE_UPDATE_DIM_PUNCHTHROUGH

    public static final int TYPE_UPDATE_DIM_PUNCHTHROUGH

See Also:
  Constant Field Values

### TYPE_UPDATE_DATE_INSUP

    public static final int TYPE_UPDATE_DATE_INSUP

See Also:
  Constant Field Values

### TYPE_UPDATE_DATE_INSERTED

    public static final int TYPE_UPDATE_DATE_INSERTED

See Also:
  Constant Field Values

### TYPE_UPDATE_DATE_UPDATED

    public static final int TYPE_UPDATE_DATE_UPDATED

See Also:
  Constant Field Values

### TYPE_UPDATE_LAST_VERSION

    public static final int TYPE_UPDATE_LAST_VERSION

See Also:
  Constant Field Values

### typeDesc

    public static final String[] typeDesc

### typeDescLookup

    public static final String[] typeDescLookup

### START_DATE_ALTERNATIVE_NONE

    public static final int START_DATE_ALTERNATIVE_NONE

See Also:
  Constant Field Values

### START_DATE_ALTERNATIVE_SYSDATE

    public static final int START_DATE_ALTERNATIVE_SYSDATE

See Also:
  Constant Field Values

### START_DATE_ALTERNATIVE_START_OF_TRANS

    public static final int START_DATE_ALTERNATIVE_START_OF_TRANS

See Also:
  Constant Field Values

### START_DATE_ALTERNATIVE_NULL

    public static final int START_DATE_ALTERNATIVE_NULL

See Also:
  Constant Field Values

### START_DATE_ALTERNATIVE_COLUMN_VALUE

    public static final int START_DATE_ALTERNATIVE_COLUMN_VALUE

See Also:
  Constant Field Values

### CREATION_METHOD_AUTOINC

    public static String CREATION_METHOD_AUTOINC

### CREATION_METHOD_SEQUENCE

    public static String CREATION_METHOD_SEQUENCE

### CREATION_METHOD_TABLEMAX

    public static String CREATION_METHOD_TABLEMAX

Constructor Detail

### DimensionLookupMeta

    public DimensionLookupMeta()

Method Detail

### getTableName

    public String getTableName()

  Returns:
    Returns the tablename.

### setTableName

    public void setTableName(String tablename)

  Parameters:
    `tablename` - The tablename to set.

### getDatabaseMeta

    public org.pentaho.di.core.database.DatabaseMeta getDatabaseMeta()

  Returns:
    Returns the database.

### setDatabaseMeta

    public void setDatabaseMeta(org.pentaho.di.core.database.DatabaseMeta database)

  Parameters:
    `database` - The database to set.

### isUpdate

    public boolean isUpdate()

  Returns:
    Returns the update.

### setUpdate

    public void setUpdate(boolean update)

  Parameters:
    `update` - The update to set.

### isAutoIncrement

    public boolean isAutoIncrement()

  Returns:
    Returns the autoIncrement.

### setAutoIncrement

    public void setAutoIncrement(boolean autoIncrement)

  Parameters:
    `autoIncrement` - The autoIncrement to set.

### setTechKeyCreation

    public void setTechKeyCreation(String techKeyCreation)

  Set the way how the technical key field should be created.

  Parameters:
    `techKeyCreation` - which method to use for the creation of the technical key.

### getTechKeyCreation

    public String getTechKeyCreation()

  Get the way how the technical key field should be created.

  Returns:
    creation way for the technical key.

### getCommitSize

    public int getCommitSize()

  Returns:
    Returns the commitSize.

### setCommitSize

    public void setCommitSize(int commitSize)

  Parameters:
    `commitSize` - The commitSize to set.

### getDateField

    public String getDateField()

  Returns:
    Returns the dateField.

### setDateField

    public void setDateField(String dateField)

  Parameters:
    `dateField` - The dateField to set.

### getDateFrom

    public String getDateFrom()

  Returns:
    Returns the dateFrom.

### setDateFrom

    public void setDateFrom(String dateFrom)

  Parameters:
    `dateFrom` - The dateFrom to set.

### getDateTo

    public String getDateTo()

  Returns:
    Returns the dateTo.

### setDateTo

    public void setDateTo(String dateTo)

  Parameters:
    `dateTo` - The dateTo to set.

### getFieldLookup

    public String[] getFieldLookup()

  Returns:
    Fields in the dimension to update or retrieve.

### setFieldLookup

    public void setFieldLookup(String[] fieldLookup)

  Parameters:
    `fieldLookup` - sets the fields in the dimension to update or retrieve.

### getFieldStream

    public String[] getFieldStream()

  Returns:
    Fields containing the values in the input stream to update the dimension with.

### setFieldStream

    public void setFieldStream(String[] fieldStream)

  Parameters:
    `fieldStream` - The fields containing the values in the input stream to update the dimension with.

### getFieldUpdate

    public int[] getFieldUpdate()

  Returns:
    Returns the fieldUpdate.

### setFieldUpdate

    public void setFieldUpdate(int[] fieldUpdate)

  Parameters:
    `fieldUpdate` - The fieldUpdate to set.

### getKeyField

    public String getKeyField()

  Returns:
    Returns the keyField.

### setKeyField

    public void setKeyField(String keyField)

  Parameters:
    `keyField` - The keyField to set.

### getKeyLookup

    public String[] getKeyLookup()

  Returns:
    Returns the keyLookup.

### setKeyLookup

    public void setKeyLookup(String[] keyLookup)

  Parameters:
    `keyLookup` - The keyLookup to set.

### getKeyRename

    public String getKeyRename()

  Returns:
    Returns the keyRename.

### setKeyRename

    public void setKeyRename(String keyRename)

  Parameters:
    `keyRename` - The keyRename to set.

### getKeyStream

    public String[] getKeyStream()

  Returns:
    Returns the keyStream.

### setKeyStream

    public void setKeyStream(String[] keyStream)

  Parameters:
    `keyStream` - The keyStream to set.

### getMaxYear

    public int getMaxYear()

  Returns:
    Returns the maxYear.

### setMaxYear

    public void setMaxYear(int maxYear)

  Parameters:
    `maxYear` - The maxYear to set.

### getMinYear

    public int getMinYear()

  Returns:
    Returns the minYear.

### setMinYear

    public void setMinYear(int minYear)

  Parameters:
    `minYear` - The minYear to set.

### getSequenceName

    public String getSequenceName()

  Returns:
    Returns the sequenceName.

### setSequenceName

    public void setSequenceName(String sequenceName)

  Parameters:
    `sequenceName` - The sequenceName to set.

### getVersionField

    public String getVersionField()

  Returns:
    Returns the versionField.

### setVersionField

    public void setVersionField(String versionField)

  Parameters:
    `versionField` - The versionField to set.

### loadXML

    public void loadXML(Node stepnode,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleXMLException

  Description copied from interface: `StepMetaInterface`
  Load the values for this step from an XML Node

  Specified by:
    `loadXML` in interface `StepMetaInterface`
  Parameters:
    `stepnode` - the Node to get the info from
    `databases` - The available list of databases to reference to
    `counters` - Counters to reference.
  Throws:
    `org.pentaho.di.core.exception.KettleXMLException` - When an unexpected XML error occurred. (malformed etc.)

### allocate

    public void allocate(int nrkeys,
                         int nrfields)

### clone

    public Object clone()

  Description copied from interface: `StepMetaInterface`
  Make an exact copy of this step, make sure to explicitly copy Collections etc.

  Specified by:
    `clone` in interface `StepMetaInterface`
  Overrides:
    `clone` in class `BaseStepMeta`
  Returns:
    an exact copy of this step

### getUpdateType

    public static final int getUpdateType(boolean upd,
                                          String ty)

### getUpdateType

    public static final String getUpdateType(boolean upd,
                                             int t)

### getStartDateAlternative

    public static final int getStartDateAlternative(String string)

### getStartDateAlternativeCode

    public static final String getStartDateAlternativeCode(int alternative)

### getStartDateAlternativeDesc

    public static final String getStartDateAlternativeDesc(int alternative)

### getStartDateAlternativeCodes

    public static final String[] getStartDateAlternativeCodes()

### getStartDateAlternativeDescriptions

    public static final String[] getStartDateAlternativeDescriptions()

### isUpdateTypeWithoutArgument

    public static final boolean isUpdateTypeWithoutArgument(boolean update,
                                                            int type)

### setDefault

    public void setDefault()

  Description copied from interface: `StepMetaInterface`
  Set default values

  Specified by:
    `setDefault` in interface `StepMetaInterface`

### getFields

    public void getFields(org.pentaho.di.core.row.RowMetaInterface row,
                          String name,
                          org.pentaho.di.core.row.RowMetaInterface[] info,
                          StepMeta nextStep,
                          org.pentaho.di.core.variables.VariableSpace space)
                   throws org.pentaho.di.core.exception.KettleStepException

  Description copied from interface: `StepMetaInterface`
  Get the fields that are emitted by this step

  Specified by:
    `getFields` in interface `StepMetaInterface`
  Overrides:
    `getFields` in class `BaseStepMeta`
  Parameters:
    `row` - The fields that are entering the step. These are changed to reflect the output metadata.
    `name` - The name of the step to be used as origin
    `info` - The input rows metadata that enters the step through the specified channels in the same order as in method getInfoSteps(). The step metadata can then choose what to do with it: ignore it or not. Interesting is also that in case of database lookups, the layout of the target database table is put in info[0]
    `nextStep` - if this is a non-null value, it's the next step in the transformation. The one who's asking, the step where the data is targetted towards.
    `space` - TODO
  Throws:
    `org.pentaho.di.core.exception.KettleStepException` - when an error occurred searching for the fields.

### getXML

    public String getXML()

  Description copied from class: `BaseStepMeta`
  Produces the XML string that describes this step's information.

  Specified by:
    `getXML` in interface `StepMetaInterface`
  Overrides:
    `getXML` in class `BaseStepMeta`
  Returns:
    String containing the XML describing this step.

### readRep

    public void readRep(Repository rep,
                        long id_step,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Read the steps information from a Kettle repository

  Specified by:
    `readRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The repository to read from
    `id_step` - The step ID
    `databases` - The databases to reference
    `counters` - The counters to reference
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### saveRep

    public void saveRep(Repository rep,
                        long id_transformation,
                        long id_step)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Save the steps data into a Kettle repository

  Specified by:
    `saveRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The Kettle repository to save to
    `id_transformation` - The transformation ID
    `id_step` - The step ID
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### getMinDate

    public Date getMinDate()

### getMaxDate

    public Date getMaxDate()

### check

    public void check(List<org.pentaho.di.core.CheckResultInterface> remarks,
                      TransMeta transMeta,
                      StepMeta stepinfo,
                      org.pentaho.di.core.row.RowMetaInterface prev,
                      String[] input,
                      String[] output,
                      org.pentaho.di.core.row.RowMetaInterface info)

  Description copied from interface: `StepMetaInterface`
  Checks the settings of this step and puts the findings in a remarks List.

  Specified by:
    `check` in interface `StepMetaInterface`
  Parameters:
    `remarks` - The list to put the remarks in @see org.pentaho.di.core.CheckResult
    `stepinfo` - The stepMeta to help checking
    `prev` - The fields coming from the previous step
    `input` - The input step names
    `output` - The output step names
    `info` - The fields that are used as information by the step

### getTableFields

    public org.pentaho.di.core.row.RowMetaInterface getTableFields()

  Specified by:
    `getTableFields` in interface `StepMetaInterface`
  Overrides:
    `getTableFields` in class `BaseStepMeta`
  Returns:
    The fields used by this step, this is being used for the Impact analyses.

### getSQLStatements

    public org.pentaho.di.core.SQLStatement getSQLStatements(TransMeta transMeta,
                                                             StepMeta stepMeta,
                                                             org.pentaho.di.core.row.RowMetaInterface prev)

  Description copied from class: `BaseStepMeta`
  Standard method to return one or more SQLStatement objects that the step needs in order to work correctly. This can mean "create table", "create index" statements but also "alter table ... add/drop/modify" statements.

  Specified by:
    `getSQLStatements` in interface `StepMetaInterface`
  Overrides:
    `getSQLStatements` in class `BaseStepMeta`
  Parameters:
    `transMeta` - TransInfo object containing the complete transformation
    `stepMeta` - StepMeta object containing the complete step
    `prev` - Row containing meta-data for the input fields (no data)
  Returns:
    The SQL Statements for this step or null if an error occurred. If nothing has to be done, the SQLStatement.getSQL() == null.

### analyseImpact

    public void analyseImpact(List<DatabaseImpact> impact,
                              TransMeta transMeta,
                              StepMeta stepMeta,
                              org.pentaho.di.core.row.RowMetaInterface prev,
                              String[] input,
                              String[] output,
                              org.pentaho.di.core.row.RowMetaInterface info)

  Description copied from class: `BaseStepMeta`
  Each step must be able to report on the impact it has on a database, table field, etc.

  Specified by:
    `analyseImpact` in interface `StepMetaInterface`
  Overrides:
    `analyseImpact` in class `BaseStepMeta`
  Parameters:
    `impact` - The list of impacts @see org.pentaho.di.transMeta.DatabaseImpact
    `transMeta` - The transformation information
    `stepMeta` - The step information
    `prev` - The fields entering this step
    `input` - The previous step names
    `output` - The output step names
    `info` - The fields used as information by this step

### getStep

    public StepInterface getStep(StepMeta stepMeta,
                                 StepDataInterface stepDataInterface,
                                 int cnr,
                                 TransMeta tr,
                                 Trans trans)

  Description copied from interface: `StepMetaInterface`
  Get the executing step, needed by Trans to launch a step.

  Specified by:
    `getStep` in interface `StepMetaInterface`
  Parameters:
    `stepMeta` - The step info
    `stepDataInterface` - the step data interface linked to this step. Here the step can store temporary data, database connections, etc.
    `cnr` - The copy nr to get
    `tr` - The transformation info
    `trans` - The launching transformation

### getStepData

    public StepDataInterface getStepData()

  Description copied from interface: `StepMetaInterface`
  Get a new instance of the appropriate data class. This data class implements the StepDataInterface. It basically contains the persisting data that needs to live on, even if a worker thread is terminated.

  Specified by:
    `getStepData` in interface `StepMetaInterface`
  Returns:
    The appropriate StepDataInterface class.

### getUsedDatabaseConnections

    public org.pentaho.di.core.database.DatabaseMeta[] getUsedDatabaseConnections()

  Description copied from class: `BaseStepMeta`
  This method returns all the database connections that are used by the step.

  Specified by:
    `getUsedDatabaseConnections` in interface `StepMetaInterface`
  Overrides:
    `getUsedDatabaseConnections` in class `BaseStepMeta`
  Returns:
    an array of database connections meta-data. Return an empty array if no connections are used.

### getSchemaName

    public String getSchemaName()

  Returns:
    the schemaName

### setSchemaName

    public void setSchemaName(String schemaName)

  Parameters:
    `schemaName` - the schemaName to set

### getCacheSize

    public int getCacheSize()

  Returns:
    the cacheSize

### setCacheSize

    public void setCacheSize(int cacheSize)

  Parameters:
    `cacheSize` - the cacheSize to set

### isUsingStartDateAlternative

    public boolean isUsingStartDateAlternative()

  Returns:
    the usingStartDateAlternative

### setUsingStartDateAlternative

    public void setUsingStartDateAlternative(boolean usingStartDateAlternative)

  Parameters:
    `usingStartDateAlternative` - the usingStartDateAlternative to set

### getStartDateAlternative

    public int getStartDateAlternative()

  Returns:
    the startDateAlternative

### setStartDateAlternative

    public void setStartDateAlternative(int startDateAlternative)

  Parameters:
    `startDateAlternative` - the startDateAlternative to set

### getStartDateFieldName

    public String getStartDateFieldName()

  Returns:
    the startDateFieldName

### setStartDateFieldName

    public void setStartDateFieldName(String startDateFieldName)

  Parameters:
    `startDateFieldName` - the startDateFieldName to set

### isPreloadingCache

    public boolean isPreloadingCache()

  Returns:
    the preloadingCache

### setPreloadingCache

    public void setPreloadingCache(boolean preloadingCache)

  Parameters:
    `preloadingCache` - the preloadingCache to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD